Download a document
GET
/api/integrations/v1/documents/{id}/download
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://app.quatlasglobal.com/api/integrations/v1/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/download"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://app.quatlasglobal.com/api/integrations/v1/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/download")) .header("Authorization", "Bearer <token>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());const url = 'https://app.quatlasglobal.com/api/integrations/v1/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/download';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.quatlasglobal.com/api/integrations/v1/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/download \ --header 'Authorization: Bearer <token>'Requires the documents:read scope. Answers 302 to a download link that works for five minutes. Only the current version of a document of a deal your company is a party to, and only once it passed its malware scan (409 otherwise). Follow the redirect without sending your key to the storage host.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Found
Unauthorized
Media typeapplication/problem+json
object
detail
null | string
instance
null | string
status
null | integer | string format: int32
title
null | string
type
null | string
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Forbidden
Media typeapplication/problem+json
object
detail
null | string
instance
null | string
status
null | integer | string format: int32
title
null | string
type
null | string
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Not Found
Media typeapplication/problem+json
object
detail
null | string
instance
null | string
status
null | integer | string format: int32
title
null | string
type
null | string
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Conflict
Media typeapplication/problem+json
object
detail
null | string
instance
null | string
status
null | integer | string format: int32
title
null | string
type
null | string
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}Too Many Requests
Media typeapplication/problem+json
object
detail
null | string
instance
null | string
status
null | integer | string format: int32
title
null | string
type
null | string
Examplegenerated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}